path: /build/build/b2-dev-util-4.10.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/b2 -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/b2 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/b2 && \
    luet-portage --dir /pkgdir/b2 dev-util/b2 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:8dcae0bc76a1ab63cc7232c58723b150655c44cb922189e58b3273687460d87f
  package:
    name: b2
    version: 4.10.1
    category: dev-util
    requires:
    - name: macaroni-mark-race2
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A system for large project software construction, simple to use and
      powerful
    uri:
    - https://www.bfgroup.xyz/b2/
    license: Boost-1.0
    buildtimestamp: 2026-07-02 07:41:24.634505934 +0000 UTC m=+104.753242527
    labels:
      IUSE: examples
      RDEPEND: '!dev-util/boost-build'
      emerge.packages: dev-util/b2
      kit: dev-kit
      original.package.name: dev-util/b2
      original.package.slot: "0"
      original.package.version: 4.10.1
    treedir: /build/packages
  package_dir: /pkgdir/b2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 57467dc0a5e0e94853532a167aaefd62d4c5a18ecdad5d968467472be427054f
compressiontype: zstd
files:
- usr/bin/b2
- usr/share/b2/src/bootstrap.jam
- usr/share/b2/src/build/ac.jam
- usr/share/b2/src/build/alias.jam
- usr/share/b2/src/build/build-request.jam
- usr/share/b2/src/build/config-cache.jam
- usr/share/b2/src/build/configure.jam
- usr/share/b2/src/build/feature.jam
- usr/share/b2/src/build/generators.jam
- usr/share/b2/src/build/project.jam
- usr/share/b2/src/build/property-set.jam
- usr/share/b2/src/build/property.jam
- usr/share/b2/src/build/readme.txt
- usr/share/b2/src/build/scanner.jam
- usr/share/b2/src/build/targets.jam
- usr/share/b2/src/build/toolset.jam
- usr/share/b2/src/build/type.jam
- usr/share/b2/src/build/version.jam
- usr/share/b2/src/build/virtual-target.jam
- usr/share/b2/src/build-system.jam
- usr/share/b2/src/kernel/bootstrap.jam
- usr/share/b2/src/kernel/class.jam
- usr/share/b2/src/kernel/errors.jam
- usr/share/b2/src/kernel/modules.jam
- usr/share/b2/src/options/help.jam
- usr/share/b2/src/site-config.jam
- usr/share/b2/src/tools/acc.jam
- usr/share/b2/src/tools/asciidoctor.jam
- usr/share/b2/src/tools/auto-index.jam
- usr/share/b2/src/tools/bison.jam
- usr/share/b2/src/tools/boostbook.jam
- usr/share/b2/src/tools/borland.jam
- usr/share/b2/src/tools/builtin.jam
- usr/share/b2/src/tools/bzip2.jam
- usr/share/b2/src/tools/cast.jam
- usr/share/b2/src/tools/clang-darwin.jam
- usr/share/b2/src/tools/clang-linux.jam
- usr/share/b2/src/tools/clang-vxworks.jam
- usr/share/b2/src/tools/clang-win.jam
- usr/share/b2/src/tools/clang.jam
- usr/share/b2/src/tools/common.jam
- usr/share/b2/src/tools/como-linux.jam
- usr/share/b2/src/tools/como-win.jam
- usr/share/b2/src/tools/como.jam
- usr/share/b2/src/tools/convert.jam
- usr/share/b2/src/tools/cray.jam
- usr/share/b2/src/tools/cw-config.jam
- usr/share/b2/src/tools/cw.jam
- usr/share/b2/src/tools/cygwin.jam
- usr/share/b2/src/tools/darwin.jam
- usr/share/b2/src/tools/diab.jam
- usr/share/b2/src/tools/dmc.jam
- usr/share/b2/src/tools/docutils.jam
- usr/share/b2/src/tools/doxygen/windows-paths-check.doxyfile
- usr/share/b2/src/tools/doxygen/windows-paths-check.hpp
- usr/share/b2/src/tools/doxygen.jam
- usr/share/b2/src/tools/embarcadero.jam
- usr/share/b2/src/tools/emscripten.jam
- usr/share/b2/src/tools/features/__init_features__.jam
- usr/share/b2/src/tools/features/address-model-feature.jam
- usr/share/b2/src/tools/features/allow-feature.jam
- usr/share/b2/src/tools/features/architecture-feature.jam
- usr/share/b2/src/tools/features/archiveflags-feature.jam
- usr/share/b2/src/tools/features/asmflags-feature.jam
- usr/share/b2/src/tools/features/build-feature.jam
- usr/share/b2/src/tools/features/cflags-feature.jam
- usr/share/b2/src/tools/features/compileflags-feature.jam
- usr/share/b2/src/tools/features/conditional-feature.jam
- usr/share/b2/src/tools/features/coverage-feature.jam
- usr/share/b2/src/tools/features/cxx-template-depth-feature.jam
- usr/share/b2/src/tools/features/cxxabi-feature.jam
- usr/share/b2/src/tools/features/cxxflags-feature.jam
- usr/share/b2/src/tools/features/cxxstd-feature.jam
- usr/share/b2/src/tools/features/debug-feature.jam
- usr/share/b2/src/tools/features/define-feature.jam
- usr/share/b2/src/tools/features/dependency-feature.jam
- usr/share/b2/src/tools/features/dll-feature.jam
- usr/share/b2/src/tools/features/exception-feature.jam
- usr/share/b2/src/tools/features/fflags-feature.jam
- usr/share/b2/src/tools/features/file-feature.jam
- usr/share/b2/src/tools/features/find-lib-feature.jam
- usr/share/b2/src/tools/features/flags-feature.jam
- usr/share/b2/src/tools/features/force-include-feature.jam
- usr/share/b2/src/tools/features/include-feature.jam
- usr/share/b2/src/tools/features/instruction-set-feature.jam
- usr/share/b2/src/tools/features/internal-feature.jam
- usr/share/b2/src/tools/features/library-feature.jam
- usr/share/b2/src/tools/features/linemarkers-feature.jam
- usr/share/b2/src/tools/features/link-feature.jam
- usr/share/b2/src/tools/features/linkflags-feature.jam
- usr/share/b2/src/tools/features/local-visibility-feature.jam
- usr/share/b2/src/tools/features/location-feature.jam
- usr/share/b2/src/tools/features/location-prefix-feature.jam
- usr/share/b2/src/tools/features/lto-feature.jam
- usr/share/b2/src/tools/features/name-feature.jam
- usr/share/b2/src/tools/features/objcflags-feature.jam
- usr/share/b2/src/tools/features/optimization-feature.jam
- usr/share/b2/src/tools/features/os-feature.jam
- usr/share/b2/src/tools/features/relevant-feature.jam
- usr/share/b2/src/tools/features/response-file-feature.jam
- usr/share/b2/src/tools/features/rtti-feature.jam
- usr/share/b2/src/tools/features/runtime-feature.jam
- usr/share/b2/src/tools/features/sanitizers-feature.jam
- usr/share/b2/src/tools/features/search-feature.jam
- usr/share/b2/src/tools/features/source-feature.jam
- usr/share/b2/src/tools/features/stdlib-feature.jam
- usr/share/b2/src/tools/features/strip-feature.jam
- usr/share/b2/src/tools/features/tag-feature.jam
- usr/share/b2/src/tools/features/threadapi-feature.jam
- usr/share/b2/src/tools/features/threading-feature.jam
- usr/share/b2/src/tools/features/toolset-feature.jam
- usr/share/b2/src/tools/features/translate-path-feature.jam
- usr/share/b2/src/tools/features/user-interface-feature.jam
- usr/share/b2/src/tools/features/variant-feature.jam
- usr/share/b2/src/tools/features/version-feature.jam
- usr/share/b2/src/tools/features/visibility-feature.jam
- usr/share/b2/src/tools/features/warnings-feature.jam
- usr/share/b2/src/tools/flags.jam
- usr/share/b2/src/tools/fop.jam
- usr/share/b2/src/tools/fortran.jam
- usr/share/b2/src/tools/gcc.jam
- usr/share/b2/src/tools/generate.jam
- usr/share/b2/src/tools/generators/__init_generators__.jam
- usr/share/b2/src/tools/generators/archive-generator.jam
- usr/share/b2/src/tools/generators/c-compiling-generator.jam
- usr/share/b2/src/tools/generators/c-preprocessing-generator.jam
- usr/share/b2/src/tools/generators/dummy-generator.jam
- usr/share/b2/src/tools/generators/lib-generator.jam
- usr/share/b2/src/tools/generators/linking-generator.jam
- usr/share/b2/src/tools/generators/prebuilt-lib-generator.jam
- usr/share/b2/src/tools/generators/searched-lib-generator.jam
- usr/share/b2/src/tools/gettext.jam
- usr/share/b2/src/tools/gfortran.jam
- usr/share/b2/src/tools/hp_cxx.jam
- usr/share/b2/src/tools/hpfortran.jam
- usr/share/b2/src/tools/ifort.jam
- usr/share/b2/src/tools/intel-darwin.jam
- usr/share/b2/src/tools/intel-linux.jam
- usr/share/b2/src/tools/intel-vxworks.jam
- usr/share/b2/src/tools/intel-win.jam
- usr/share/b2/src/tools/intel.jam
- usr/share/b2/src/tools/lex.jam
- usr/share/b2/src/tools/libjpeg.jam
- usr/share/b2/src/tools/libpng.jam
- usr/share/b2/src/tools/libtiff.jam
- usr/share/b2/src/tools/link.jam
- usr/share/b2/src/tools/lzma.jam
- usr/share/b2/src/tools/make.jam
- usr/share/b2/src/tools/mc.jam
- usr/share/b2/src/tools/message.jam
- usr/share/b2/src/tools/midl.jam
- usr/share/b2/src/tools/mipspro.jam
- usr/share/b2/src/tools/mpi.jam
- usr/share/b2/src/tools/msvc.jam
- usr/share/b2/src/tools/notfile.jam
- usr/share/b2/src/tools/openssl.jam
- usr/share/b2/src/tools/package.jam
- usr/share/b2/src/tools/pathscale.jam
- usr/share/b2/src/tools/pch.jam
- usr/share/b2/src/tools/pgi.jam
- usr/share/b2/src/tools/pkg-config.jam
- usr/share/b2/src/tools/python-config.jam
- usr/share/b2/src/tools/python.jam
- usr/share/b2/src/tools/qcc.jam
- usr/share/b2/src/tools/qt.jam
- usr/share/b2/src/tools/qt3.jam
- usr/share/b2/src/tools/qt4.jam
- usr/share/b2/src/tools/qt5.jam
- usr/share/b2/src/tools/quickbook-config.jam
- usr/share/b2/src/tools/quickbook.jam
- usr/share/b2/src/tools/rc.jam
- usr/share/b2/src/tools/sass.jam
- usr/share/b2/src/tools/saxonhe.jam
- usr/share/b2/src/tools/stage.jam
- usr/share/b2/src/tools/stlport.jam
- usr/share/b2/src/tools/sun.jam
- usr/share/b2/src/tools/symlink.jam
- usr/share/b2/src/tools/testing-aux.jam
- usr/share/b2/src/tools/testing.jam
- usr/share/b2/src/tools/types/adoc.jam
- usr/share/b2/src/tools/types/asm.jam
- usr/share/b2/src/tools/types/cpp.jam
- usr/share/b2/src/tools/types/css.jam
- usr/share/b2/src/tools/types/docbook.jam
- usr/share/b2/src/tools/types/exe.jam
- usr/share/b2/src/tools/types/html.jam
- usr/share/b2/src/tools/types/lib.jam
- usr/share/b2/src/tools/types/man.jam
- usr/share/b2/src/tools/types/markdown.jam
- usr/share/b2/src/tools/types/obj.jam
- usr/share/b2/src/tools/types/objc.jam
- usr/share/b2/src/tools/types/pdf.jam
- usr/share/b2/src/tools/types/preprocessed.jam
- usr/share/b2/src/tools/types/qt.jam
- usr/share/b2/src/tools/types/register.jam
- usr/share/b2/src/tools/types/rsp.jam
- usr/share/b2/src/tools/types/sass-type.jam
- usr/share/b2/src/tools/types/xml.jam
- usr/share/b2/src/tools/unix.jam
- usr/share/b2/src/tools/vacpp.jam
- usr/share/b2/src/tools/vmsdecc.jam
- usr/share/b2/src/tools/whale.jam
- usr/share/b2/src/tools/xlcpp.jam
- usr/share/b2/src/tools/xlf.jam
- usr/share/b2/src/tools/xsltproc/included.xsl
- usr/share/b2/src/tools/xsltproc/test.xml
- usr/share/b2/src/tools/xsltproc/test.xsl
- usr/share/b2/src/tools/xsltproc-config.jam
- usr/share/b2/src/tools/xsltproc.jam
- usr/share/b2/src/tools/zlib.jam
- usr/share/b2/src/tools/zstd.jam
- usr/share/b2/src/user-config.jam
- usr/share/b2/src/util/assert.jam
- usr/share/b2/src/util/container.jam
- usr/share/b2/src/util/doc.jam
- usr/share/b2/src/util/indirect.jam
- usr/share/b2/src/util/numbers.jam
- usr/share/b2/src/util/option.jam
- usr/share/b2/src/util/order.jam
- usr/share/b2/src/util/os.jam
- usr/share/b2/src/util/param.jam
- usr/share/b2/src/util/path.jam
- usr/share/b2/src/util/print.jam
- usr/share/b2/src/util/regex.jam
- usr/share/b2/src/util/sequence.jam
- usr/share/b2/src/util/set.jam
- usr/share/b2/src/util/string.jam
- usr/share/b2/src/util/utility.jam
- usr/share/doc/b2-4.10.1/build_dir_option.txt.bz2
- usr/share/doc/b2-4.10.1/changes.txt.bz2
- usr/share/doc/b2-4.10.1/relative_source_paths.txt.bz2
- usr/share/doc/b2-4.10.1/release_procedure.txt.bz2
- var/db/pkg/dev-util/b2-4.10.1/BUILD_TIME
- var/db/pkg/dev-util/b2-4.10.1/CATEGORY
- var/db/pkg/dev-util/b2-4.10.1/CBUILD
- var/db/pkg/dev-util/b2-4.10.1/CFLAGS
- var/db/pkg/dev-util/b2-4.10.1/CHOST
- var/db/pkg/dev-util/b2-4.10.1/CONTENTS
- var/db/pkg/dev-util/b2-4.10.1/COUNTER
- var/db/pkg/dev-util/b2-4.10.1/CTARGET
- var/db/pkg/dev-util/b2-4.10.1/CXX
- var/db/pkg/dev-util/b2-4.10.1/CXXFLAGS
- var/db/pkg/dev-util/b2-4.10.1/DEFINED_PHASES
- var/db/pkg/dev-util/b2-4.10.1/DESCRIPTION
- var/db/pkg/dev-util/b2-4.10.1/EAPI
- var/db/pkg/dev-util/b2-4.10.1/FEATURES
- var/db/pkg/dev-util/b2-4.10.1/HOMEPAGE
- var/db/pkg/dev-util/b2-4.10.1/INHERITED
- var/db/pkg/dev-util/b2-4.10.1/IUSE
- var/db/pkg/dev-util/b2-4.10.1/IUSE_EFFECTIVE
- var/db/pkg/dev-util/b2-4.10.1/KEYWORDS
- var/db/pkg/dev-util/b2-4.10.1/LDFLAGS
- var/db/pkg/dev-util/b2-4.10.1/LICENSE
- var/db/pkg/dev-util/b2-4.10.1/NEEDED
- var/db/pkg/dev-util/b2-4.10.1/NEEDED.ELF.2
- var/db/pkg/dev-util/b2-4.10.1/PF
- var/db/pkg/dev-util/b2-4.10.1/RDEPEND
- var/db/pkg/dev-util/b2-4.10.1/REQUIRES
- var/db/pkg/dev-util/b2-4.10.1/RESTRICT
- var/db/pkg/dev-util/b2-4.10.1/SIZE
- var/db/pkg/dev-util/b2-4.10.1/SLOT
- var/db/pkg/dev-util/b2-4.10.1/USE
- var/db/pkg/dev-util/b2-4.10.1/b2-4.10.1.ebuild
- var/db/pkg/dev-util/b2-4.10.1/environment.bz2
- var/db/pkg/dev-util/b2-4.10.1/repository
package_cacheimage: ""
runtime:
  name: b2
  version: 4.10.1
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A system for large project software construction, simple to use and
    powerful
  uri:
  - https://www.bfgroup.xyz/b2/
  license: Boost-1.0
  labels:
    IUSE: examples
    RDEPEND: '!dev-util/boost-build'
    emerge.packages: dev-util/b2
    kit: dev-kit
    original.package.name: dev-util/b2
    original.package.slot: "0"
    original.package.version: 4.10.1
